Project

Profile

Help

Issue #543

When httpd fails to start, it tells users they probably haven't run pulp-manage-db

Added by rbarlow over 6 years ago. Updated over 2 years ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
Normal
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
2. Medium
Version:
2.4.0
Platform Release:
2.6.0
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

Description of problem:
When httpd fails to start for any reason, it tells users they likely need to run pulp-manage-db, even when that's not the case. This leads to lots of confusion and just isn't helpful. Also, it is possible for it to detect for sure whether pulp-manage-db needs to be run, so it should give the user the real error.

Version-Release number of selected component (if applicable):
2.4.0-1

How reproducible:
Every time

Steps to Reproduce:
1. Break Pulp in some way, perhaps by inserting a raise Exception during its initialization.

Actual results:
It will tell you that you likely need to run pulp-manage-db.

Expected results:
It should tell you what really happened.

Additional info:
Of course, if it really is that you need to run pulp-manage-db, it should tell you that, without the word "likely".

+ This bug was cloned from Bugzilla Bug #1145734 +

History

#1 Updated by jortel@redhat.com over 6 years ago

Update the language.

+ This comment was cloned from Bugzilla #1145734 comment 1 +

#3 Updated by cduryee over 6 years ago

***** Bug 1004855 has been marked as a duplicate of this bug. ***

+ This comment was cloned from Bugzilla #1145734 comment 3 +

#4 Updated by cduryee over 6 years ago

fixed in pulp 2.6.0-0.2.beta

+ This comment was cloned from Bugzilla #1145734 comment 4 +

#5 Updated by pthomas@redhat.com over 6 years ago

verified
[root@ibm-x3550m3-07 ~]# rpm -qa pulp-server
pulp-server-2.6.0-0.5.beta.el6.noarch
[root@ibm-x3550m3-07 ~]#

+ This comment was cloned from Bugzilla #1145734 comment 5 +

#6 Updated by bmbouter over 6 years ago

  • Severity changed from Medium to 2. Medium

#7 Updated by rbarlow over 6 years ago

  • Status changed from 6 to CLOSED - CURRENTRELEASE

#9 Updated by bmbouter over 2 years ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF